Subject: Re: [PATCH 2/2] powerpc/math-emu: keep track of the instructions unimplemented by FPU

From: Scott Wood <[email-masked]>
Date: Fri, 12 Jul 2013 15:53:19 -0500

On 07/11/2013 09:25:12 PM, Kevin Hao wrote:
> On Thu, Jul 11, 2013 at 09:30:02AM -0500, Scott Wood wrote:
> > Sorry, that was my fault -- for some reason I didn't see that when I
> > grepped for PPC_WARN_EMULATED looking for math stuff, and thus
> > requested it be added.  In any case, I don't see why it should be
> > conditional on having an FPU (and indeed, the warning in the caller
> > isn't conditional).
>=20
> I thought it only made sense to warn only for the case when the core
> does have a FPU but some unimplemented floating instructions are =20
> emulated.
> As for the core which doesn't have a FPU at all and we explicitly =20
> enable the
> math emulation it may seems a little redundant to warn in this case. =20
> But after
> a second thought, this is the statistics of all the emulated =20
> instructions,
> so it does seem reasonable to warn in all cases. I will remove the =20
> dependancy
> on FPU.

It's not redundant at all to warn when an FPU is absent.  It tells you =20
that you're being slowed down by running hard-FP code instead of =20
soft-FP code.

-Scott=